Subject: Re: bug#9793: 24.0.90; Unwanted tramp connection on eshell completion.

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Oct 2011 16:43:33 -0400

> Because you didn't load tramp.
> Connect first to your "trex" or anything else, then close this, and run
> eshell and retry the above.
> For me too, if i start emacs -Q and i go strait to eshell, all work fine.

Ah, I see, I can reproduce it now:

   % emacs -Q
   M-x load-library RET tramp RET
   M-x eshell RET
   cd /t TAB

At that point, Tramp tried to connect to `tic' and to `tequila' (the
hosts mentioned in ~/.ssh/known_hosts that start with `t').
   
Note that I'm not sure that ~/.ssh/config is relevant, because it only
seems to show entries from my ~/.ssh/known_hosts.

        Stefan